aboutsummaryrefslogtreecommitdiffstats
path: root/community/imapsync/APKBUILD
diff options
context:
space:
mode:
authorStuart Cardall <developer@it-offshore.co.uk>2016-08-18 20:46:53 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-21 22:24:04 +0200
commit5c9f3ca3e307be53b45beeed2ce1626f38008625 (patch)
tree919836fe454e953f46685adf8228b0401280d4b6 /community/imapsync/APKBUILD
parent6a00a953ba02bab6440a2c784e7db37c6eaeace1 (diff)
downloadaports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.gz
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.bz2
aports-5c9f3ca3e307be53b45beeed2ce1626f38008625.tar.xz
testing/[various]: move to community
albatross-themes apk-post-messages autossh bitcoin btrbk entr ffmpegthumbnailer firejail firetools fwsnort gnome-colors imapsync inetutils-syslogd inotify-tools-inc isync junit ktsuss letsencrypt-nosudo libmbim libndp libqmi libteam mini-sendmail modemmanager namecoin networkmanager nginx-naxsi numix-themes nxapi opencl-headers opencl-icd-loader opus-tools perl-authen-ntlm perl-bit-vector perl-data-uniqid perl-file-copy-recursive perl-getopt-argvfile perl-io-tee perl-iptables-chainmgr perl-iptables-parse perl-module-scandeps perl-par-dist perl-par-packer perl-par perl-uri-escape psad py-crcmod py-graphviz py-lz4 py-opencl py-opengl-accelerate runit secpwgen secure-delete socklog spacefm tinyssh udevil virt-viewer virtualbricks whois wrk xpra zram-init
Diffstat (limited to 'community/imapsync/APKBUILD')
-rw-r--r--community/imapsync/APKBUILD32
1 files changed, 32 insertions, 0 deletions
diff --git a/community/imapsync/APKBUILD b/community/imapsync/APKBUILD
new file mode 100644
index 0000000000..40b6972a87
--- /dev/null
+++ b/community/imapsync/APKBUILD
@@ -0,0 +1,32 @@
+# Contributor: Stuart Cardall <developer@it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer@it-offshore.co.uk>
+pkgname=imapsync
+pkgver=1.678
+pkgrel=1
+pkgdesc="IMAP synchronisation, sync, copy or migration tool"
+url="http://imapsync.lamiral.info"
+arch="noarch"
+license="custom"
+depends="perl-digest-hmac perl-authen-ntlm perl-io-compress perl-data-dumper \
+ perl-data-uniqid perl-digest-md5 perl-file-copy-recursive perl-io-socket-inet6 \
+ perl-io-socket-ssl perl-io-tee perl-mail-imapclient perl-parse-recdescent \
+ perl-term-readkey perl-test-pod perl-test-tester perl-unicode-string perl-uri-escape"
+depends_dev=""
+makedepends="$depends_dev perl-module-scandeps perl-par-packer"
+subpackages="$pkgname-doc"
+source="https://github.com/$pkgname/$pkgname/archive/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/$pkgname-$pkgname-$pkgver
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+
+ mkdir -p "$pkgdir"/usr/share/doc/$pkgname
+ install -Dm644 FAQ.d/* "$pkgdir"/usr/share/doc/$pkgname/ || return 1
+
+ install -Dm644 LICENSE "$pkgdir"/usr/share/licenses/$pkgname/LICENSE || return 1
+}
+
+md5sums="065961c37544635861a068a0596e4e29 imapsync-1.678.tar.gz"
+sha256sums="77cd7b58bc1872bcf6c531ee8f764dda87e0dec3f6ffed752748ff9ae74534b0 imapsync-1.678.tar.gz"
+sha512sums="88dd59bbd1567f76c70aca74d86540f00baa6df0869e7679505e8402138665e0380b942167b1cfe4fb55c5e01402b7820163bfa9d296de67e05248699592b799 imapsync-1.678.tar.gz"